# Uses of Class
com.ocient.metrics.Metric.NamedTag

Packages that use Metric.NamedTag
Package
Description
com.ocient.metrics

## Uses of Metric.NamedTag in com.ocient.metrics

Methods in com.ocient.metrics that return Metric.NamedTag
Modifier and Type
Method
Description
`static Metric.NamedTag`
Metric.NamedTag.`of(Metric.Tag type, int id)`
`static Metric.NamedTag`
Metric.NamedTag.`of(Metric.Tag type, String id)`
Methods in com.ocient.metrics that return types with arguments of type Metric.NamedTag
Modifier and Type
Method
Description
`List<Metric.NamedTag>`
Metric.MetricPath.`tags()`
Method parameters in com.ocient.metrics with type arguments of type Metric.NamedTag
Modifier and Type
Method
Description
`static Metric.MetricPath`
Metric.MetricPath.`create(String basePath, List<Metric.NamedTag> tags)`
Constructs a Path for a perf counter with the given base path and set of `Metric.NamedTag`s.
`static Metric.MetricPath`
Metric.MetricPath.`createWithFullPath(String basePath, List<Metric.NamedTag> tags, String fullPathOverride)`
Same as `Metric.MetricPath.create(String, List)` but the full path is provided instead of being derived from the given `Metric.NamedTag`s.